package aggregated;

import com.fasterxml.jackson.databind.JsonNode;
import com.openrules.core.DecisionModel;
import com.openrules.core.Goal;

import aggregated.service.DecisionModelAggregatedValuesRequest;
import aggregated.service.DecisionModelAggregatedValuesRestHandler;

public class Launcher {
    
    public static void launch(Department department) {
        
        long startTime = System.currentTimeMillis();
        DecisionModel model = new DecisionModelAggregatedValues();
        Goal goal = model.createGoal();
        
        goal.use("Department", department);
//        goal.use("Employee", employees[0]);
        goal.execute();
        System.out.println(department);
        long endTime = System.currentTimeMillis();
        System.out.println("Total Elapsed time: " + (endTime - startTime +1) + " ms");
    }
    
    public static void main(String[] args) {
        
        Department[] departments = departmentsArray.get();
        for(Department department : departments) {
            launch(department);
        }
        
/*        
        DecisionModelAggregatedValuesRestHandler handler = new DecisionModelAggregatedValuesRestHandler();
        DecisionModelAggregatedValuesRequest request = new DecisionModelAggregatedValuesRequest();
        request.setDepartment(departments[0]);
        long startTime = System.currentTimeMillis();
        JsonNode response = handler.handleRequest(request);
        long endTime = System.currentTimeMillis();
        System.out.println("Result: " + response.get("response").get("department"));
        System.out.println("Total Elapsed time: " + (endTime - startTime +1) + " ms");
*/
    }        
}
