/*******************************************************************************
 * Copyright (c) 2019 OpenRules, Inc.
 *******************************************************************************/
package hello;

import com.openrules.core.Goal;

import hello.DecisionModelHello;

public class Main { 

	public static void main(String[] args) {
		
	    DecisionModelHello model = new DecisionModelHello();
        Goal goal = model.createGoal();
		goal.put("report", "On");
		
		Customer customer = new Customer();
		customer.setName("Robinson");
		customer.setGender("Female");
		customer.setMaritalStatus("Married");
		
		Request request = new Request();
		request.setCurrentHour(20);
		request.setLocation("NY");
		
		Response response = new Response();
		
		goal.use("Customer", customer);
		goal.use("Request", request);
		goal.use("Response", response);
		goal.execute();
		
		System.out.println("Produced statement: " + response.getHelloStatement());
	}
}

