package org.medical.services;

import com.openrules.core.DecisionModel;
import com.openrules.core.Goal;

public class TestHarnessJavaAPI extends TestHarness {
    
    DecisionModel model;
    Goal goal;
    
    public TestHarnessJavaAPI() throws Exception {
        super("OpenRules Java API");
        model = new MedicalServiceCoverage();
        goal = model.createGoal(); 
    }

    @Override
    public void execute(MedicalService[] services) {
        
        for (MedicalService service : services) {
            goal.use("MedicalService", service);
            goal.execute();
        }
    }
    
    public static void main(String[] args) throws Exception {
        new TestHarnessJavaAPI().test();
    }
}

